%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         appc
%global repo            spec
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          202fd7b99d16c596b89cc14d42758bdcce35fea1
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:       golang-%{provider}-%{project}-%{repo}
Version:    0.2.0
Release:    1.git%{shortcommit}%{?dist}
Summary:    Schema defs and tools for app container specification
License:    ASL 2.0
URL:        https://%{import_path}
Source0:    https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:  noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(github.com/coreos/go-semver/semver)
BuildRequires:  golang(golang.org/x/crypto/openpgp) >= 0-0.2
BuildRequires:  golang(golang.org/x/net/html)
BuildRequires:  golang(golang.org/x/net/html/atom)
Requires:   golang >= 1.2.1-3
Requires:   golang(github.com/coreos/go-semver/semver)
Summary:    %{summary}
Provides:   golang(%{import_path}/ace) = %{version}-%{release}
Provides:   golang(%{import_path}/aci) = %{version}-%{release}
Provides:   golang(%{import_path}/actool) = %{version}-%{release}
Provides:   golang(%{import_path}/discovery) = %{version}-%{release}
Provides:   golang(%{import_path}/pkg/tarheader) = %{version}-%{release}
Provides:   golang(%{import_path}/schema) = %{version}-%{release}
Provides:   golang(%{import_path}/schema/types) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -qn %{repo}-%{commit}
rm -rf Godeps examples
find . -name "*.go" \
         -print |\
         xargs sed -i 's/github.com\/appc\/spec\/Godeps\/_workspace\/src\///g'

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
for dir in */ ; do
    cp -pav $dir %{buildroot}/%{gopath}/src/%{import_path}/
done

%check
for dir in $(find . -mindepth 1 -maxdepth 3 -type d); do
    if [ $(find $dir -maxdepth 1 -name *_test.go | wc -l) != '0' ]; then
        GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/$dir
    fi
done

%files devel
%doc CONTRIBUTING.md LICENSE README.md SPEC.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Sat Jan 31 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.2.0-1.git202fd7b
- Resolves: rhbz#1174030 - first package upload
- update to master commit#202fd7b

* Mon Dec 15 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.1-2
- update metaprovides
- update docs packaged

* Tue Dec 09 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.1-1
- First package for Fedora
